> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider Roles

> Return a map of provider_id to list of roles.



## OpenAPI

````yaml get /admin/providers/roles
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/providers/roles:
    get:
      tags:
        - provider
        - admin
      summary: Get Provider Roles
      description: Return a map of provider_id to list of roles.
      operationId: get_provider_roles_admin_providers_roles_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: provider_ids
          in: query
          required: true
          schema:
            items:
              type: string
            type: array
            title: Provider Ids
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  items:
                    $ref: '#/components/schemas/RoleSummary'
                  type: array
                title: Response Get Provider Roles Admin Providers Roles Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RoleSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the role
        name:
          type: string
          title: Name
          description: Role name (e.g., 'admin', 'user', 'billing_manager')
        userType:
          $ref: '#/components/schemas/RoleType'
          description: Role type (ADMIN, PROVIDER, USER)
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
          description: When the role was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: When the role was last updated
      type: object
      required:
        - id
        - name
        - userType
      title: RoleSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RoleType:
      type: string
      enum:
        - ADMIN
        - PROVIDER
        - USER
      title: RoleType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````